/**
 * Theme Name: Blocksy Child
 * Description: Blocksy Child theme
 * Author: Creative Themes
 * Template: blocksy
 * Text Domain: blocksy
 */
:root{
	--rosa: #ad6c79;
	--verde:#225548;
	--nero:#212121;
	--bianco:#fff;
	--rosachiaro:#e5dadc;
}
 
body.home .ct-container-full .htslider-slider .slingle-slider div[data-elementor-type="wp-post"] > .elementor-element{height:calc(100vh - 160px)!important;min-height:calc(100vh - 160px)!important;}
 
.grecaptcha-badge{visibility:hidden!important;}
.otgs-development-site-front-end{display:none!important}

#footer > div{padding:0!important}
#footer ul.widget-menu li a{color:var(--bianco);}
#footer ul.widget-menu li a:hover{color:var(--rosachiaro);}

#footer .elementor-element .elementor-icon-box-wrapper{display:flex;}
#footer .elementor-element .elementor-icon-box-wrapper .elementor-icon-box-description{margin-block-end:0}
#footer .elementor-element .elementor-social-icons-wrapper .elementor-icon i, #footer .elementor-element .elementor-social-icons-wrapper .elementor-icon svg{width:20px;height:20px;}


.elementor-element .e-widget-swiper.elementor-pagination-position-outside .swiper{padding-bottom:50px!important}
.elementor-lightbox .elementor-slideshow__title{display:none!important}

/*** header ***/
/*.ct-header .ct-sticky-container div[data-sticky*="yes"] .site-branding[data-id="logo"] img,
.ct-header .ct-sticky-container div[data-sticky*="yes"] .site-branding[data-id="logo"] svg{
	max-height:40px;
}

[data-header*="type-1"] .ct-header [data-id="menu"] .sub-menu .ct-menu-link{font-size:16px!important;}
[data-header*="type-1"] .ct-header [data-id="menu"] .sub-menu >li{padding:20px!important;}


[data-header*="type-1"] .ct-header [data-id="menu"] .sub-menu >li {
    padding: 5px 10px !important;
}


.ct-sidebar .ct-widget.widget_search .wp-element-button{color:var(--nero);}
.ct-sidebar .ct-widget.widget_search input[type=search]{color:var(--nero);}
.ct-sidebar .ct-widget ul{list-style-type: square;padding-inline-start: 20px;}
.ct-sidebar .ct-widget ul li{margin-bottom:10px;}
*/

/*** ht slider ***/
.htslider-slider .slick-dots{bottom:20px!important;}
.htslider-slider .slick-dots li{margin:0 10px!important;}
.htslider-slider .slick-dots li button{line-height: 20px!important;width: 20px!important; height: 20px!important;cursor:pointer!important;}
.htslider-slider .slick-track{display: flex !important;}
.htslider-slider .slick-track > .slick-slide{height: inherit !important;display: flex !important; width:100%;}
.htslider-slider .slick-track > .slick-slide > div{height: inherit !important;display: flex !important;width:100%;}
.htslider-slider .slick-track > .slick-slide > div > div{height: inherit !important;}



/*** hover box ***/
.elementor-element.ct-iconbox:hover .elementor-icon-box-wrapper .elementor-icon-box-icon .elementor-icon{
	fill: var(--bianco)!important;
    color: var(--bianco)!important;
    border-color: var(--bianco)!important;
}

.elementor-element.ct-iconbox:hover .elementor-icon-box-wrapper .elementor-icon-box-content > *{
	 color: var(--bianco)!important;
}


/*** contact form 7 ***/
.wpcf7-form input[type="submit"]{
	padding:5px 40px;
	font-size:15px;
	text-transform:uppercase;
	letter-spacing:1px;
	margin-top:20px;
}

.wpcf7-form .row{
	display:flex;
	-ms-flex-direction: column;
	flex-direction: column;
	-webkit-box-align: start;
	-ms-flex-align: start;
	align-items: flex-start;
	flex-wrap: nowrap;
}

.wpcf7-form .row .col1,
.wpcf7-form .row .col2,
.wpcf7-form .row .col3,
.wpcf7-form .row .six,
.wpcf7-form .row .twelve{
	-ms-flex: 1 100%;
	flex: 1 100%;
	width: 100%;
	padding:1% 2%;
}

.wpcf7-form .row .col1.centered{
	padding-top:0;
	padding-bottom:0;
}
.wpcf7-form .row .col1.centered,
.wpcf7-form .row .col1.centered > p{
	display:flex;
	align-items: center;
	-ms-flex-direction: column;
	flex-direction: column;
	flex-wrap: nowrap;
}

.wpcf7-spinner{
	margin:10px!important;
}

.wpcf7 label,.wpcf7 input[type="text"],.wpcf7 input[type="email"],.wpcf7 input[type="tel"],.wpcf7 textarea,.wpcf7 select{
	width:100%;
	position:relative;
	margin:0 0 5px 0;
	color:var(--nero)!important;
	border-color:var(--verde)!important;
}

.wpcf7 select,
.wpcf7 ::picker(select) {
  appearance: base-select;
}

.wpcf7 ::picker(select) {
  border: none;
}

.wpcf7 select{flex: 1;transition: 0.4s;padding-inline-end: 10px;background:transparent;}

.wpcf7 select::picker-icon {
  color: #222;
  transition: 0.4s rotate;
}

.wpcf7 option {
  display: flex;
  justify-content: flex-start;
  gap: 20px;
  border:1px solid #222;
  border-top-width:0;
  background: var(--rosachiaro);
  padding: 10px;
  transition: 0.4s;
}

.wpcf7 option:first-of-type{
	border-top-width:1px;
}

.wpcf7 option:checked {
  font-weight: bold;
}

/*.wpcf7 option:hover,
.wpcf7 option:focus {
  background: var(--rosa);
}*/

.wpcf7 label.hidden,.wpcf7 label.hidden:not(.wpcf7-form-control-wrap){
	display:none!important;
}

.wpcf7 textarea{
	height:120px;
}

.wpcf7 label,.wpcf7 label:not(.wpcf7-form-control-wrap){
	margin-bottom:10px;
	font-size:18px!important;
}

.wpcf7 .wpcf7-response-output{
	border:0!important;
	text-align:left!important;
	margin:20px 0!important;
	padding:0!important;
	position:relative;
	float:left;
	width:100%;
	text-align:center!important;
}

.wpcf7 form.invalid .wpcf7-response-output, .wpcf7 form.unaccepted .wpcf7-response-output{
	color:red!important;
}

.wpcf7 form.valid .wpcf7-response-output, .wpcf7 form.success .wpcf7-response-output{
	color:green!important;
}

.wpcf7 .privacy_checklist {
	position: relative;
	float: left;
	width:100%;
	padding:0;
	margin:5px 0;
}


.wpcf7 .privacy_checklist span.wpcf7-list-item{
	margin: 0;
}

.wpcf7-form p{margin-bottom:0!important;}
.wpcf7-form p{margin-bottom:0!important;}

.wpcf7-form p > a, .wpcf7-form .wpcf7-list-item-label > a{
	font-weight:bold;
	text-decoration:underline;
}



.wpcf7-form p > a:hover,.wpcf7-form .wpcf7-list-item-label > a:hover{
	cursor:pointer;
	text-decoration:none;
}


.wpcf7 .privacy_checklist.invisible{
	display:none;
}

.wpcf7 .privacy_checklist ul{
	list-style:none;
	padding: 10px;
}

.wpcf7 .privacy_checklist ul li{
	margin:10px 0;
}

.wpcf7 .privacy_checklist ul li label{
	margin:0;
	font-size:16px;
	font-weight:400;
}



.wpcf7 form .wpcf7-form-control.wpcf7-acceptance span.wpcf7-list-item label,
.wpcf7 form .wpcf7-form-control.wpcf7-acceptance span.wpcf7-list-item label:not(.wpcf7-form-control-wrap){
	margin-bottom:5px;
}

.wpcf7 .privacy_checklist ul li label{
	display: flex;
	-ms-flex-direction: row;
	flex-direction: row;
	align-items: flex-start;
    justify-content: flex-start;
}

.wpcf7 form .wpcf7-form-control.wpcf7-acceptance input[type="checkbox"],
.wpcf7 .privacy_checklist ul li label input[type="checkbox"]{
	margin:5px 10px 5px 5px;
}


/*** media queries ***/
@media only screen and (min-width: 768px){
	
	.wpcf7-form .row{
		-ms-flex-direction: row;
		flex-direction: row;
	}
	
	.wpcf7-form .row .col2,
	.wpcf7-form .row .six{
		-ms-flex: 1 50%;
		flex: 1 50%;
		max-width: 50%;
	}
	
	.wpcf7-form .row .col3{
		-ms-flex: 1 33.33%;
		flex: 1 33.33%;
		max-width:33%;
	}
	
}

